<?php
include_once(__DIR__."/../../core.php");
if( $modules_info[$module_name]["permessi"] == 'rw' ){
	switch( $html->form('op', 'post') ){
		case "update":
			$idzona = $html->form('id_record', 'post');
			$nome = $html->form('nome', 'post');
			$descrizione = $html->form('descrizione', 'post');
			
			//Verifico che il nome o la descrizione non esistano già
			$q = "SELECT id FROM an_zone WHERE (nome=\"".$nome."\" OR descrizione=\"".$descrizione."\") AND NOT id=\"".$idzona."\"";
			$n = $dbo->fetchNum($q);

			//Zona già esistente
			if( $n>0 ){
				array_push( $_SESSION['errors'], "Zona gi&agrave; esistente!" );
			}

			//Zona ok
			else{
				$query = "UPDATE an_zone SET nome=\"".$nome."\", descrizione=\"".$descrizione."\" WHERE id=\"".$idzona."\" AND `default`=0";
				$rs = $dbo->query( $query );
				array_push( $_SESSION['infos'], "Informazioni salvate correttamente!" );
			}

			break;

		case "add":
			$nome = $html->form('nome', 'post');
			$descrizione = $html->form('descrizione', 'post');

			//Verifico che il nome non sia duplicato
			$q = "SELECT id FROM an_zone WHERE nome=\"".$nome."\" OR descrizione=\"".$descrizione."\"";
			$n = $dbo->fetchNum($q);

			if( $n>0 ){
				array_push( $_SESSION['errors'], "Nome gi&agrave; esistente!" );
			}

			else{
				$query = "INSERT INTO an_zone( `nome`, `descrizione`, `default` ) VALUES ( \"".$nome."\", \"".$descrizione."\", 0 )";
				$rs = $dbo->query($query);
				$id_record = $dbo->last_inserted_id();
				array_push( $_SESSION['infos'], "Aggiunta una nuova zona!" );
			}
			break;

		case "delete":
			$dbo->query( "DELETE FROM an_zone WHERE id=\"".$id_record."\" AND `default`=0" );

			//Reimposto a 0 tutti gli idzona su an_anagrafiche
			//(scollego in pratica la zona eliminata da tutte le anagrafiche associate)
			$dbo->query( "UPDATE an_anagrafiche SET idzona=0 WHERE idanagrafica=\"".$id_record."\"" );
			
			array_push( $_SESSION['infos'], "Zona eliminata!" );

			break;
	}
}
?>
